Rel 18.
[packages/gdal.git] / gdal.spec
index 95647202ecdb7f5348242bd31e46180a6a04d45e..b5763df7c7923782c5308b17bed6ce68f4bf3723 100644 (file)
--- a/gdal.spec
+++ b/gdal.spec
@@ -50,7 +50,7 @@ Summary:      Geospatial Data Abstraction Library
 Summary(pl.UTF-8):     Biblioteka abstrakcji danych dotyczÄ…cych powierzchni Ziemi
 Name:          gdal
 Version:       2.0.2
-Release:       6
+Release:       17
 License:       BSD-like
 Group:         Libraries
 Source0:       http://download.osgeo.org/gdal/%{version}/%{name}-%{version}.tar.xz
@@ -66,6 +66,8 @@ Patch9:               %{name}-dds.patch
 Patch11:       %{name}-armadillo.patch
 Patch12:       %{name}-rasdaman.patch
 Patch13:       %{name}-pluginsdir.patch
+Patch14:       %{name}-uchar.patch
+Patch15:       libx32.patch
 URL:           http://www.gdal.org/
 %{?with_php:BuildRequires:     %{php_name}-devel}
 %{?with_opencl:BuildRequires:  OpenCL-devel >= 1.0}
@@ -105,7 +107,7 @@ BuildRequires:      libtool
 BuildRequires: libuuid-devel
 BuildRequires: libwebp-devel
 BuildRequires: libxml2-devel >= 2
-%{?with_mysql:BuildRequires:   mysql-devel}
+%{?with_mysql:BuildRequires:   /usr/bin/mysql_config}
 BuildRequires: netcdf-devel >= 4.1
 BuildRequires: ogdi-devel >= 3.1
 %{?with_openjpeg:BuildRequires:        openjpeg2-devel >= 2.0.0-2}
@@ -195,7 +197,7 @@ Requires:   libtiff-devel >= 4.0
 Requires:      libuuid-devel
 Requires:      libwebp-devel
 Requires:      libxml2-devel >= 2
-%{?with_mysql:Requires:        mysql-devel}
+%{?with_mysql:Requires:        /usr/bin/mysql_config}
 Requires:      netcdf-devel >= 4
 Requires:      ogdi-devel >= 3.1
 %{?with_openjpeg:Requires:     openjpeg2-devel >= 2.0.0-2}
@@ -293,6 +295,8 @@ osr.
 %patch11 -p1
 %patch12 -p1
 %patch13 -p1
+%patch14 -p1
+%patch15 -p1
 
 # need to regenerate (old ones don't support perl 5.10 or php 5.5)
 %{__rm} swig/{perl,php}/{gdal_wrap.cpp,gdalconst_wrap.c,ogr_wrap.cpp,osr_wrap.cpp}
This page took 0.051232 seconds and 4 git commands to generate.